Name:           i3status
Version:        2.0
Release:        2%{?dist}
Summary:        Generates a status line for dzen2 or wmii

Group:          User Interface/Desktops
License:        MIT
URL:            http://i3.zekjur.net/i3status/
Source0:        http://i3.zekjur.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# The load values represent 1,5,15 min, not 5,10,15 min (Thanks Chris)
Patch0: %{name}-2.0-9307ff9d131a70164a50e57e3aa3115c92715925.patch
# Implemented showing the time when battery is empty
Patch1: %{name}-2.0-a5594ee17f967d037a558b55aba0ae6c6e1077b9.patch
# Remove trailing whitespace
Patch2: %{name}-2.0-998109a6537c4534652673ff25d72a502cb15605.patch
# ipv6: reuse the existing socket for further lookups
Patch3: %{name}-2.0-37882cee889d556a932d26084119f516d6639b13.patch
# ipv6: cache the result of the DNS query only, the socket needs to be re-created every time
Patch4: %{name}-2.0-ced822f4611b7c3f6df49cae188ab05aa65ab0d6.patch
# disk: also round when printing TB (Thanks Merovius)
Patch5: %{name}-2.0-6823fbf05537ca88716f403235cea5e7064ef9b1.patch
# get_ip_address: return NULL instead of down
Patch6: %{name}-2.0-c166d2e2d312e198a4dc9039302c5b82ed2805d1.patch
# wireless: display no IP instead of (null)
Patch7: %{name}-2.0-9c14b7a527a34f0ed04a53c72fe85f4d21f094ec.patch
# Instead of a relative sleep(1), sleep until the full second
Patch8: %{name}-2.0-18c4b9866d395720077e815d85755a8ac54354ca.patch

BuildRequires:  libconfuse-devel
BuildRequires:  wireless-tools-devel
BuildRequires:  asciidoc
BuildRequires:  libAfterImage-devel


%description
i3status is a small program for filling dzen2 or wmii’s status bar via its 9P 
pseudo filesystem.


%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

sed -e 's|CFLAGS+=-Wall -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare|CFLAGS+=%{optflags} -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare|g' \
    -i Makefile


%build
make %{?_smp_mflags} 


%install
rm -rf %{buildroot}
make install \
     DESTDIR=%{buildroot} \
     INSTALL="install -p"

mkdir -p %{buildroot}/%{_sysconfdir}/
install -Dpm0644 %{name}.conf \
        %{buildroot}/%{_sysconfdir}/%{name}.conf


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_mandir}/man*/%{name}*
%{_sysconfdir}/%{name}.conf


%changelog
* Sat Feb 05 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 2.0-2
- Some bugfixes (sync with upstream)
- Add patch http://code.stapelberg.de/git/i3status/commit/?id=9307ff9d131a70164a50e57e3aa3115c92715925
- Add patch http://code.stapelberg.de/git/i3status/commit/?id=a5594ee17f967d037a558b55aba0ae6c6e1077b9
- Add patch http://code.stapelberg.de/git/i3status/commit/?id=998109a6537c4534652673ff25d72a502cb15605
- Add patch http://code.stapelberg.de/git/i3status/commit/?id=37882cee889d556a932d26084119f516d6639b13
- Add patch http://code.stapelberg.de/git/i3status/commit/?id=ced822f4611b7c3f6df49cae188ab05aa65ab0d6
- Add patch http://code.stapelberg.de/git/i3status/commit/?id=6823fbf05537ca88716f403235cea5e7064ef9b1
- Add patch http://code.stapelberg.de/git/i3status/commit/?id=c166d2e2d312e198a4dc9039302c5b82ed2805d1
- Add patch http://code.stapelberg.de/git/i3status/commit/?id=9c14b7a527a34f0ed04a53c72fe85f4d21f094ec
- Add patch http://code.stapelberg.de/git/i3status/commit/?id=18c4b9866d395720077e815d85755a8ac54354ca


* Wed Dec 02 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2.0-1
- Package build for Fedora
